#include <bits/stdc++.h>
#define ll long long
using namespace std;
const int mxn = 1e5;
int n,m,a[mxn],b[mxn];

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);cerr.tie(0);

    cin >> n >> m;

    for(int i = 0; i < n; i++) cin >> a[i];

    ///za svaki par gledamo da li vise poena da je da su prijatelji ili neprijatelji
    ///ako su takmicari i,j prijatelji -> takmicar i ima srecu koja se poveca za a[i]
    int ans = 0;
    for(int i = 0; i < m; i++){
        int x,y; cin >> x >> y;
        ans += abs(a[x-1]+a[y-1]);
    }
    cout << ans << "\n";
    return 0;

}